gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Protected Member Functions

# Gdk::Bitmap Class Reference

Bitmaps are simply pixmaps with a depth of 1. More...

Inheritance diagram for Gdk::Bitmap:
[legend]
Collaboration diagram for Gdk::Bitmap:
[legend]

List of all members.

## Static Public Member Functions
static Glib::RefPtr< Bitmap > | create (const char* data, int width, int height)
static Glib::RefPtr< Bitmap > | create (const Glib::RefPtr< Gdk::Drawable >& drawable, const char* data, int width, int height)
## Protected Member Functions
| Bitmap (const char* data, int width, int height)
| Bitmap (const Glib::RefPtr< Gdk::Drawable >& drawable, const char* data, int width, int height)

## Detailed Description

Bitmaps are simply pixmaps with a depth of 1.

(That is, they are monochrome bitmaps - each pixel can be either on or off).

## Constructor & Destructor Documentation

Gdk::Bitmap::Bitmap | ( | const char * | data,
|  | int | width,
|  | int | height
| ) |  | `[protected]`

Gdk::Bitmap::Bitmap | ( | const Glib::RefPtr< Gdk::Drawable >& | drawable,
|  | const char * | data,
|  | int | width,
|  | int | height
| ) |  | `[protected]`

## Member Function Documentation

static Glib::RefPtr<Bitmap> Gdk::Bitmap::create | ( | const char * | data,
|  | int | width,
|  | int | height
| ) |  | `[static]`

static Glib::RefPtr<Bitmap> Gdk::Bitmap::create | ( | const Glib::RefPtr< Gdk::Drawable >& | drawable,
|  | const char * | data,
|  | int | width,
|  | int | height
| ) |  | `[static]`

The documentation for this class was generated from the following file:

- gdkmm/bitmap.h